On this page
No Headings
Deprecation notice: TheShows details for a sale, by ID. Returns only sales that were created through the REST API./v1/paymentsendpoint is deprecated. Use the/v2/paymentsendpoint instead. For details, see PayPal Checkout Basic Integration.
Oauth 2.0 authentication
In: header
Scope: https://api.paypal.com/v1/payments/.*
The ID of the sale transaction to refund.
application/json
application/json
curl -X GET "https://api-m.sandbox.paypal.com/v1/payments/sale/string"{
"id": "string",
"amount": {
"currency": "string",
"total": "string",
"details": {
"subtotal": "string",
"shipping": "string",
"tax": "string",
"handling_fee": "string",
"shipping_discount": "string",
"insurance": "string",
"gift_wrap": "string"
}
},
"payment_mode": "INSTANT_TRANSFER",
"state": "completed",
"reason_code": "CHARGEBACK",
"protection_eligibility": "ELIGIBLE",
"protection_eligibility_type": "ITEM_NOT_RECEIVED_ELIGIBLE",
"clearing_time": "2019-08-24T14:15:22Z",
"payment_hold_status": "HELD",
"payment_hold_reasons": [
{
"payment_hold_reason": "PAYMENT_HOLD"
}
],
"transaction_fee": {
"currency": "string",
"value": "string"
},
"receivable_amount": {
"currency": "string",
"value": "string"
},
"transaction_fee_in_receivable_currency": {
"currency": "string",
"value": "string"
},
"exchange_rate": "string",
"fmf_details": {
"filter_type": "ACCEPT",
"filter_id": "AVS_NO_MATCH",
"name": "string",
"description": "string"
},
"receipt_id": "string",
"parent_payment": "string",
"processor_response": {
"response_code": "stri",
"avs_code": "s",
"cvv_code": "s",
"advice_code": "01_NEW_ACCOUNT_INFORMATION",
"eci_submitted": "string",
"vpas": "string"
},
"billing_agreement_id": "string",
"create_time": "2019-08-24T14:15:22Z",
"update_time": "2019-08-24T14:15:22Z",
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}{
"name": "string",
"message": "string",
"debug_id": "string",
"information_link": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}